#!/bin/bash
# 定义应用组名
group_name='test'
# 定义应用名称，建议与服务名保持一致
app_name='yd-yunxing-web'
app_version="1.0"
echo ${app_name}
echo '----copy app----'
docker stop ${app_name}
echo '----stop container----'
docker rm ${app_name}
echo '----rm container----'
docker rmi ${group_name}/${app_name}:${app_version}
echo '----rm image----'
# 打包编译docker镜像
docker build -t ${group_name}/${app_name}:${app_version} .
#构建docker应用
docker run -p 7456:7456 --name ${app_name} \
-e TZ="Asia/Shanghai" \
-d ${group_name}/${app_name}:${app_version}
